Skip to content

[Deprecated] Get activities by userkey (author or subject). Use /activities/profile/{given,received,all} instead.

Deprecated
GET
/activities/userkey
curl --request GET \
--url 'https://api.ethos.network/api/v2/activities/userkey?userkey=example&direction=author&orderBy=createdAt&sort=asc&limit=50&offset=0'
userkey
required
string
direction
string
Allowed values: author subject
activityType
Array<string>
Allowed values: PROFILE ATTESTATION INVITATION VOUCH UNVOUCH VOUCH_V2 UNVOUCH_V2 VOUCH_V2_DECREASE VOUCH_V2_INCREASE SLASH REVIEW REVIEW_ARCHIVED MARKET MARKET_VOTE MARKET_V2_TRADE VOTE REPLY CLAIM PROJECT BROKER BOND XP_TIP KARMA_TIP
orderBy
string
Allowed values: createdAt totalVotes netVotes replyCount authorScore subjectScore votes
sort
string
default: desc
Allowed values: asc desc
reviewScore
Any of:
string
Allowed values: NEGATIVE NEUTRAL POSITIVE
includeArchived
boolean
excludeSpam
boolean
excludeBoostedReviews
boolean
limit
integer
default: 50 <= 1000
offset
integer
0 <= 2147483647

Successful response

Media typeapplication/json
Array<object>
object

Example generated

[
{}
]

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}